using System.Text.Json.Serialization;
using SQLite;

namespace salesbook.Shared.Core.Entity;

[Table("nazioni")]
public class Nazioni
{
    [PrimaryKey, Column("nazione"), JsonPropertyName("nazione")]
    public string Nazione { get; set; }

    [Column("cod_nazione_iso"), JsonPropertyName("codNazioneIso")]
    public string CodNazioneIso { get; set; }

    [Column("cod_nazi_alpha_2"), JsonPropertyName("codNazioneAlpha2")]
    public string CodNazioneAlpha2 { get; set; }

    [Column("descrizione"), JsonPropertyName("descrizione")]
    public string Descrizione { get; set; }
    
    [Column("chk_part_iva"), JsonPropertyName("chkPartIva")]
    public bool ChkPartIva { get; set; }
}